Bug 851315 - User deploy script is not called on the local serving gear on a scaled application
User deploy script is not called on the local serving gear on a scaled applic...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 14:42 EDT by Krishna Raman
Modified: 2015-05-14 18:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krishna Raman 2012-08-23 14:42:40 EDT
Description of problem:
User deploy script is not called on the local serving gear on a scaled application

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Created a scaled app with 1 gear (haproxy + local serving php)
2. Push code to the app
  
Actual results:
deploy action hook is not invoked

Expected results:
deploy action hook should be invoked

Additional info:
Comment 1 Adam Miller 2012-08-23 15:40:02 EDT
Master Pull Request:
https://github.com/openshift/crankcase/pull/432

Stage Pull Request:
https://github.com/openshift/crankcase/pull/431
Comment 2 Adam Miller 2012-08-23 18:51:54 EDT
Merged into STG - package is cartridge-haproxy-1.4-0.14.6-1.el6_3.noarch.rpm

Included in devenv-stage_234
Comment 3 Jianwei Hou 2012-08-24 02:54:10 EDT
Verified on stage and devenv_2068

Steps:
1.Create a scalable app
2.in app's repo, vi .openshift/action_hooks/deploy, add some additional codes and messages, eg: touch $OPENSHIFT_REPO_DIR/test
3.git commit && git push
4.After git push, ssh into both gears, local and haproxy, check touched files exist under $OPENSHIFT_REPO_DIR

Result:
File exist, deploy action hook is invoked.

Note You need to log in before you can comment on or make changes to this bug.